Skip to main content
GET
/
deliver
/
booktransfers
Get all book transfers
curl --request GET \
  --url https://api-sandbox.orum.io/deliver/booktransfers \
  --header 'Authorization: Bearer <token>' \
  --header 'Orum-Version: <orum-version>'
{
  "book_transfers": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "book_transfer_reference_id": "<string>",
      "amount": 2,
      "currency": "USD",
      "status": "created",
      "status_reasons": [
        {
          "source": {
            "reason_code": "insufficient_funds",
            "reason_code_message": "<string>"
          },
          "destination": {
            "reason_code": "insufficient_funds",
            "reason_code_message": "<string>"
          }
        }
      ],
      "metadata": {},
      "source": {
        "subledger_reference_id": "<string>"
      },
      "destination": {
        "subledger_reference_id": "<string>"
      }
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.orum.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

Orum-Version
enum<string>
required

Version of Deliver and Verify APIs. Use v2022-09-21.

Available options:
v2022-09-21

Query Parameters

index
integer
default:0

Index for paginated results

Required range: x >= 0
size
integer
default:100

Max number of results to return

Required range: 0 <= x <= 500
book_transfer_reference_id
string

Filter results by book transfer reference id Unique reference id for the book tranfer

Minimum string length: 1
status
enum<string>

Filter results by book transfer status Describes the current status of the book transfer.

Available options:
created,
completed,
failed
subledger_reference_id
string

Filter results by subledger reference id Unique reference id for the subledger resource. Generated by you.

Required string length: 1 - 255

Response

200 response.

book_transfers
BookTransfer · object[]
required

List of book transfers.